@ECHO OFF
rem ################################################
rem #
rem # Service Integration Bus Explorer launch script
rem # Copyright (C) IBM Corp. 2006
rem #
rem # This script will launch the Service Integration Bus Explorer.
rem # Before running this script, please ensure that your environment
rem # variables have been customized for your system in the 'env.bat'
rem # script.
rem #
rem ################################################


SETLOCAL

call env.bat

rem Sanity check all the user servicable parts
if not exist "%WAS%" goto nowas
if not exist "%WAS%/java/bin/java.exe" goto nojava
if not exist "%SWTJARS%" goto noswt
if not exist "%CUR%" goto nocur

SET JAVA_CMD="%WAS%\java\bin\java"
if defined USE_JAVAW SET JAVA_CMD=start "SIB Explorer" "%WAS%\java\bin\javaw"

SET PATH=%CUR%;%SWTJARS%;%PATH%
SET CLASSPATH=%SWTJARS%\swt.jar;%CUR%\explorer.jar;%CUR%\updater.jar

%JAVA_CMD% -Dwas.install.root="%WAS%" -Djava.ext.dirs="%WAS%\plugins";"%WAS%\plugins\com.ibm.ws.security.crypto_6.1.0";"%WAS%\lib";"%WAS%\installedChannels";"%WAS%\java\jre\lib\ext" com.ibm.ws.sib.tools.explorer.SIBExplorer %1 %2 %3 %4 %5

goto end

:nocur
echo ** CUR environment variable has not been set correctly **
echo.
echo This variable is set in the 'env.bat' script and should point to the directory
echo containing the 'explorer.jar' file.
goto end

:noswt
echo ** SWTJARS environment variable has not been set correctly **
echo.
echo This variable is set in the 'env.bat' script and should point to the directory
echo containing the downloaded SWT libraries.
goto end

:nowas
echo ** WAS environment variable has not been set correctly **
echo.
echo This variable is set in the 'env.bat' script and should point to the directory
echo containing your WebSphere Application Server installation.
echo For example, C:\Program Files\IBM\WebSphere\AppServer.
goto end

:nojava
echo ** WAS environment variable has not been set correctly **
echo.
echo This variable is set in the 'env.bat' script and should point to the directory
echo containing your WebSphere Application Server installation. While the variable 
echo does indeed point to a valid directory, the Java Virtual Machine cannot be 
echo found and this is needed to successfully run the tool.
echo Verify that the WAS environment variable has been set correctly.
echo For example, C:\Program Files\IBM\WebSphere\AppServer.
goto end

:end
